Merge remote-tracking branch 'origin/5.9' into 5.9.0

Conflicts:
	.gitmodules

Change-Id: I5b4d96eedbbc228d61d7c62ff077c05a4fb70928
This commit is contained in:
Oswald Buddenhagen
2017-05-05 11:22:54 +02:00
19 changed files with 324 additions and 144 deletions

14
.gitmodules vendored
View File

@@ -146,8 +146,8 @@
branch = 5.9.0
status = addon
[submodule "qt3d"]
depends = qtdeclarative qtimageformats
recommends = qtgamepad
depends = qtdeclarative
recommends = qtimageformats qtgamepad
path = qt3d
url = ../qt3d.git
branch = 5.9.0
@@ -295,32 +295,32 @@
depends = qtbase
recommends = qtdeclarative
path = qtgamepad
url = ../qtgamepad
url = ../qtgamepad.git
branch = 5.9.0
status = addon
[submodule "qtscxml"]
depends = qtbase qtdeclarative
path = qtscxml
url = ../qtscxml
url = ../qtscxml.git
branch = 5.9.0
status = addon
[submodule "qtspeech"]
depends = qtbase
recommends = qtdeclarative qtmultimedia
path = qtspeech
url = ../qtspeech
url = ../qtspeech.git
branch = 5.9.0
status = preview
[submodule "qtnetworkauth"]
depends = qtbase
recommends = qtwebview
path = qtnetworkauth
url = ../qtnetworkauth
url = ../qtnetworkauth.git
branch = 5.9.0
status = preview
[submodule "qtremoteobjects"]
depends = qtbase
path = qtremoteobjects
url = ../qtremoteobjects
url = ../qtremoteobjects.git
branch = 5.9.0
status = preview

View File

@@ -1,26 +1,25 @@
Template Target OS Target arch Compiler Features
----------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
qtci-windows-8-x86_64-2 MSVC2013 DeveloperBuild Release BuildExamples
qtci-windows-10-x86_64-5 MSVC2015 DeveloperBuild Release QtNamespace QtLibInfix
qtci-windows-10-x86_64-6 MSVC2015 DeveloperBuild Release QtNamespace QtLibInfix
qtci-windows-8-x86-2 MSVC2013 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-8-x86_64-2 MSVC2013 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-7-x86-2 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic
qtci-windows-10-x86-4 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-5 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-5 WinRT_10 x86 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-5 WinRT_10 armv7 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86-5 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-6 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-6 WinRT_10 x86 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-6 WinRT_10 armv7 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-linux-Ubuntu-16.04-x86_64 GCC NoWidgets ForceDebugInfo
qtci-linux-Ubuntu-16.04-x86_64 GCC DeveloperBuild OutOfSourceBuild QtLibInfix QtNamespace
qtci-linux-openSUSE-42.1-x86_64 GCC DeveloperBuild NoPch
qtci-linux-RHEL-6.6-x86_64 GCC Release ForceDebugInfo
qtci-linux-RHEL-7.2-x86_64 GCC Packaging Release NoUseGoldLinker
qtci-macos-10.12-x86_64-8 Clang DebugAndRelease Release DisableTests
qtci-osx-10.11-x86_64-3 Clang DeveloperBuild Release QtNamespace NoPch DisableTests
qtci-osx-10.11-x86_64-3 Clang DeveloperBuild Release QtNamespace NoPch
qtci-osx-10.10-x86_64 Clang Packaging DebugAndRelease Release
qtci-osx-10.10-x86_64 Clang DeveloperBuild Release QtNamespace NoPch
qtci-osx-10.10-x86_64 Clang Release NoFramework
qtci-osx-10.10-x86_64 IOS_ANY x86_64 Clang Release DisableTests Static
qtci-linux-RHEL-7.2-x86_64 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-Ubuntu-16.04-x86_64 Boot2Qt_Jethro x86_64 GCC DisableTests
qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-Ubuntu-16.04-x86_64 GCC TestOnly LicenseCheck
qtci-linux-RHEL-7.2-x86_64 QNX_700 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker

View File

@@ -1,13 +1,19 @@
Template Target OS Target arch Compiler Features
--------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
qtci-windows-10-x86_64-5 WinRT_10 MSVC2015 Packaging DebugAndRelease Release DisableTests
qtci-windows-10-x86_64-6 WinRT_10 MSVC2015 Packaging DebugAndRelease Release DisableTests
qtci-windows-10-x86-5 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests
qtci-windows-10-x86_64-6 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests
qtci-linux-RHEL-7.2-x86_64 Android_ANY x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-windows-7-x86-2 Android_ANY armv7 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-windows-7-x86-2 Android_ANY x86 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 Android_ANY x86 GCC Packaging Release DisableTests OpenGLES2
qtci-linux-RHEL-6.6-x86_64 QNX_660 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-7.2-x86_64 QNX_700 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-windows-7-x86-2 QNX_660 armv7 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-windows-7-x86-2 QNX_660 x86 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-windows-10-x86_64-6 QNX_700 armv7 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-windows-10-x86_64-6 QNX_700 x86 Mingw53 Packaging Release DisableTests OpenGLES2
qtci-osx-10.10-x86_64 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
qtci-linux-RHEL-7.2-x86_64 INTEGRITY_11_04 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker

View File

@@ -0,0 +1,48 @@
############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
. "$PSScriptRoot\..\common\helpers.ps1"
# This script will install Visual Studio 2017 Build Tools
# https://www.visualstudio.com/downloads/#build-tools-for-visual-studio-2017
$version = "2017_version_15.0"
$url_cache = "http://ci-files01-hki.ci.local/input/windows/mu_build_tools_for_visual_studio_" + $version + "_x86_x64_10254482.exe"
$sha1 = "a31e099e5114fef80a21654689e6864afc544a16"
$msvcPackage = "C:\Windows\Temp\$version.exe"
Download $url_cache $url_cache $msvcPackage
Verify-Checksum $msvcPackage $sha1
cmd /c "$msvcPackage --all --passive --wait"
echo "Cleaning $msvcPackage.."
Remove-Item -Recurse -Force "$msvcPackage"
echo "Visual Studio Build Tools = $version" >> ~\versions.txt

View File

@@ -0,0 +1,48 @@
############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
. "$PSScriptRoot\..\common\helpers.ps1"
# This script will install Visual Studio 2017 Build Tools
# https://www.visualstudio.com/downloads/#build-tools-for-visual-studio-2017
$version = "2017_version_15.0"
$url_cache = "http://ci-files01-hki.ci.local/input/windows/mu_build_tools_for_visual_studio_" + $version + "_x86_x64_10254482.exe"
$sha1 = "a31e099e5114fef80a21654689e6864afc544a16"
$msvcPackage = "C:\Windows\Temp\$version.exe"
Download $url_cache $url_cache $msvcPackage
Verify-Checksum $msvcPackage $sha1
cmd /c "$msvcPackage --all --passive --wait"
echo "Cleaning $msvcPackage.."
Remove-Item -Recurse -Force "$msvcPackage"
echo "Visual Studio Build Tools = $version" >> ~\versions.txt

View File

@@ -0,0 +1,10 @@
. "$PSScriptRoot\helpers.ps1"
$zip = "c:\users\qt\downloads\Qt3DStudio-3rdparty-win64-CI.zip"
Invoke-WebRequest -UseBasicParsing http://ci-files01-hki.ci.local/input/3rdparty/Qt3DStudio-3rdparty-win64-CI.zip -OutFile $zip
Verify-Checksum $zip "08D740D2EFB4CBCDE7D012908B89AA48DE5CD4E1"
Extract-Zip $zip C:\Utils\Qt3DStudio3rdparty
Remove-Item $zip
[Environment]::SetEnvironmentVariable("QT3DSTUDIO_3RDPARTY_DIR", "C:/Utils/Qt3DStudio3rdparty", "Machine")

View File

@@ -0,0 +1,64 @@
#!/bin/env bash
#############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
# This script installs QNX 7.
set -e
targetFolder="/opt/"
sourceFile="http://ci-files01-hki.ci.local/input/qnx/qnx700.tar.xz"
sha1="949a87c5f00d0756956cb4b1b3b213ecaeee9113"
folderName="qnx700"
targetFile="qnx700.tar.xz"
wget --tries=5 --waitretry=5 --output-document="$targetFile" "$sourceFile" || echo "Failed to download '$url' multiple times"
echo "$sha1 $targetFile" | sha1sum --check || echo "Failed to check sha1sum"
if [ ! -d "$targetFolder" ]; then
mkdir -p $targetFolder
fi
if [ -d "$targetFolder/$folderName" ]; then
rm -rf $targetFolder/$folderName
fi
sudo tar -C $targetFolder -Jxf $targetFile|| echo "Failed to extract $targetFile"
sudo chown -R qt:users "$targetFolder"/"$folderName"
# Verify that we have last file in tar
if [ ! -f $targetFolder/$folderName/qnxsdp-env.sh ]; then
echo "Installation failed!"
exit -1
fi
rm -rf $targetFile
# Set env variables
echo 'export QNX_700=$targetFolder/$folderName' >> ~/.bashrc
echo "QNX SDP = 7.0.0" >> ~/versions.txt

View File

@@ -44,7 +44,6 @@ ExceptionGsettings1=100
ExceptionGsettings2=101
ExceptionGsettings3=102
ExceptionNTS=103
ExceptionDISPLAY=104
try
(
@@ -57,8 +56,6 @@ try
echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts || throw $ExceptionNTS
echo "Set DISPLAY"
echo 'export DISPLAY=":0"' >> ~/.bashrc || throw $ExceptionDISPLAY
)
catch || {
case $ex_code in
@@ -78,10 +75,6 @@ catch || {
echo "Failed to set network teset server address into /etc/hosts."
exit 1;
;;
$ExceptionDISPLAY)
echo "Failed to set DISPLAY into ~/.bashrc."
exit 1;
;;
esac
}

View File

@@ -64,3 +64,15 @@ sudo update-binfmts --package qemu-arm --install arm \
# doesn't help since host version creates cache for a wrong architecture and running
# armv7 fc-cache segfaults on QEMU.
sudo DEBIAN_FRONTEND=noninteractive apt-get -y remove fonts-noto-cjk
# If normal fontconfig paths are used, qemu parses what ever files it finds from
# the toolchain sysroot and the rest from the system fonts. Fix by copying the
# system font configurations to a location which prefix that can't be found from
# the toolchain sysroot. Links must also be dereferenced or their targets remain
# pointing to the toolchain sysroot.
QEMU_FONTCONFPATH=~/qemu_fonts
QEMU_FONTCONFFILE=$QEMU_FONTCONFPATH/fonts.qemu.conf
mkdir -p $QEMU_FONTCONFPATH
cp -Lr /etc/fonts/* $QEMU_FONTCONFPATH
sed $QEMU_FONTCONFPATH/fonts.conf -e "s:conf.d:$QEMU_FONTCONFPATH/conf.d:" > $QEMU_FONTCONFFILE
echo "export QEMU_SET_ENV=\"FONTCONFIG_FILE=$QEMU_FONTCONFFILE,FONTCONFIG_PATH=$QEMU_FONTCONFPATH\"" >> ~/.profile

View File

@@ -46,6 +46,7 @@ ExceptionSetInitialDelay=101
ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
try
(
@@ -78,6 +79,8 @@ try
EOT
) || throw $ExceptionDisableScreensaver
defaults write com.apple.screensaver askForPassword -int 0 || throw $ExceptionDisableScreensaverPassword
echo "Set keyboard type rates and delays"
# normal minimum is 15 (225 ms)
defaults write -g InitialKeyRepeat -int 15 || throw $ExceptionSetInitialDelay
@@ -113,5 +116,9 @@ catch || {
echo "Failed to set NTS."
exit 1;
;;
$ExceptionDisableScreensaverPassword)
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
esac
}

View File

@@ -0,0 +1,3 @@
#!/bin/sh
# Enables the usage of temporary keychains for SSL autotests
echo "export QT_SSL_USE_TEMPORARY_KEYCHAIN=1" >> ~/.bashrc

View File

@@ -39,14 +39,11 @@
# shellcheck source=../common/try_catch.sh
source "${BASH_SOURCE%/*}/../common/try_catch.sh"
# shellcheck source=../common/DownloadURL.sh
source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
targetFolder="/opt/android"
sdkTargetFolder="$targetFolder/sdk"
baseUrl="http://ci-files01-hki.ci.local/input/android"
baseAltUrl="https://dl.google.com/android/repository/"
basePath="/net/ci-files01-hki.ci.local/hdd/www/input/android"
toolsVersion="r25.2.5"
toolsFile="tools_$toolsVersion-macosx.zip"
@@ -58,13 +55,10 @@ sdkApiLevel="android-21"
toolsSha1="d2168d963ac5b616e3d3ddaf21511d084baf3659"
ndkSha1="6be8598e4ed3d9dd42998c8cb666f0ee502b1294"
toolsDlUrl="$baseUrl/$toolsFile"
ndkDlUrl="$baseUrl/$ndkFile"
toolsAltDlUrl="$baseAltUrl/$toolsFile"
ndkAltDlUrl="$baseAltUrl/$ndkFile"
toolsTargetFile="/tmp/$toolsFile"
toolsSourceFile="$basePath/$toolsFile"
ndkTargetFile="/tmp/$ndkFile"
ndkSourceFile="$basePath/$ndkFile"
ExceptionUnzipTools=100
ExceptionUnzipNdk=101
@@ -74,16 +68,10 @@ ExceptionSdkManager=104
try
(
DownloadURL "$toolsDlUrl" "$toolsAltDlUrl" "$toolsSha1" "$toolsTargetFile"
DownloadURL "$ndkDlUrl" "$ndkAltDlUrl" "$ndkSha1" "$ndkTargetFile"
echo "Unzipping Android NDK to '$targetFolder'"
sudo unzip -q "$ndkTargetFile" -d "$targetFolder" || throw $ExceptionUnzipNdk
sudo unzip -q "$ndkSourceFile" -d "$targetFolder" || throw $ExceptionUnzipNdk
echo "Unzipping Android Tools to '$sdkTargetFolder'"
sudo unzip -q "$toolsTargetFile" -d "$sdkTargetFolder" || throw $ExceptionUnzipTools
echo "Removing temporary files."
rm "$toolsTargetFile" || throw $ExceptionRmTools
rm "$ndkTargetFile" || throw $ExceptionRmNdk
sudo unzip -q "$toolsSourceFile" -d "$sdkTargetFolder" || throw $ExceptionUnzipTools
echo "Changing ownership of Android files."
sudo chown -R qt:wheel "$targetFolder"

View File

@@ -1,103 +0,0 @@
#!/bin/sh
#############################################################################
##
## Copyright (C) 2016 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the test suite of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
# This script install Android sdk and ndk.
# It also runs update for SDK API level 21, latest SDK tools, latest platform-tools and - build-tools
# Android 16 is the minimum requirement for Qt 5.7 applications, but we need something more recent than that for building Qt itself.
# E.g The Bluetooth features that require Android 21 will disable themselves dynamically when running on an Android 16 device.
# That's why we need to use Andoid-21 API version in Qt 5.9.
set -e
targetFolder="/opt/android"
baseUrl="http://ci-files01-hki.ci.local/input/android"
# SDK
sdkVersion="android-sdk_r24.4.1-macosx.zip"
sdkBuildToolsVersion="24.0.2"
sdkApiLevel="android-21"
sdkUrl="$baseUrl/$sdkVersion"
sdkSha1="85a9cccb0b1f9e6f1f616335c5f07107553840cd"
sdkTargetFile="$targetFolder/$sdkVersion"
sdkExtract="unzip $sdkTargetFile -d $targetFolder"
sdkFolderName="android-sdk-macosx"
sdkName="sdk"
# NDK
ndkVersion="android-ndk-r10e-darwin-x86_64.zip"
ndkUrl="$baseUrl/$ndkVersion"
ndkSha1="6be8598e4ed3d9dd42998c8cb666f0ee502b1294"
ndkTargetFile="$targetFolder/$ndkVersion"
ndkExtract="unzip $ndkTargetFile -d $targetFolder"
ndkFolderName="android-ndk-r10e"
ndkName="ndk"
function InstallAndroidPackage {
targetFolder=$1
version=$2
url=$3
sha1=$4
targetFile=$5
extract=$6
folderName=$7
name=$8
sudo curl --retry 5 --retry-delay 10 --retry-max-time 60 $url -o $targetFile || echo "Failed to download '$url' multiple times"
shasum $targetFile |grep $sha1 || echo "shasum check failed !"
sudo chmod 755 $targetFile
sudo $extract || echo "Failed to extract $url"
sudo chown -R qt:wheel $targetFolder/$folderName
sudo mv $targetFolder/$folderName $targetFolder/$name || echo "Failed to rename $name"
sudo rm -fr $targetFolder/$version || echo "Failed to remove $targetFolder/$version"
}
sudo mkdir $targetFolder
# Install Android SDK
echo "Installing Android SDK version $sdkVersion..."
InstallAndroidPackage $targetFolder $sdkVersion $sdkUrl $sdkSha1 $sdkTargetFile "$sdkExtract" $sdkFolderName $sdkName
# Install Android NDK
echo "Installing Android NDK version $ndkVersion..."
InstallAndroidPackage $targetFolder $ndkVersion $ndkUrl $ndkSha1 $ndkTargetFile "$ndkExtract" $ndkFolderName $ndkName
# run update for Android SDK and install SDK API version 21, latest SDK tools, platform-tools and build-tools
echo "Running Android SDK update for API version 21, SDK-tools, platform-tools and build-tools-$sdkBuildToolsVersion..."
echo "y" |$targetFolder/sdk/tools/android update sdk --no-ui --all --filter $sdkApiLevel,tools,platform-tools,build-tools-$sdkBuildToolsVersion || echo "Failed to run update"
# For Qt 5.6, we by default require API levels 10, 11, 16 and 21, but we can override this by setting ANDROID_API_VERSION=android-21
# From Qt 5.7 forward, if android-16 is not installed, Qt will automatically use more recent one.
echo 'export ANDROID_API_VERSION=android-21' >> ~/.bashrc

View File

@@ -46,6 +46,7 @@ ExceptionSetInitialDelay=101
ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
try
(
@@ -78,6 +79,8 @@ try
EOT
) || throw $ExceptionDisableScreensaver
defaults write com.apple.screensaver askForPassword -int 0 || throw $ExceptionDisableScreensaverPassword
echo "Set keyboard type rates and delays"
# normal minimum is 15 (225 ms)
defaults write -g InitialKeyRepeat -int 15 || throw $ExceptionSetInitialDelay
@@ -113,6 +116,10 @@ catch || {
echo "Failed to set NTS."
exit 1;
;;
$ExceptionDisableScreensaverPassword)
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
esac
}

View File

@@ -0,0 +1,3 @@
#!/bin/sh
# Enables the usage of temporary keychains for SSL autotests
echo "export QT_SSL_USE_TEMPORARY_KEYCHAIN=1" >> ~/.bashrc

View File

@@ -0,0 +1,48 @@
#############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
. "$PSScriptRoot\..\common\helpers.ps1"
# This script installs MinGW 5.3
$zip = "c:\users\qt\downloads\i686-5.3.0-release-posix-dwarf-rt_v4-rev0.7z"
Invoke-WebRequest -UseBasicParsing http://download.qt.io/development_releases/prebuilt/mingw_32/i686-5.3.0-release-posix-dwarf-rt_v4-rev0.7z -OutFile $zip
Verify-Checksum $zip "d4f21d25f3454f8efdada50e5ad799a0a9e07c6a"
Extract-7Zip $zip C:\
Rename-Item -path C:\mingw32 -newName C:\MinGW530
[Environment]::SetEnvironmentVariable("MINGW530", "C:\MinGW530", "Machine")
echo "MinGW = 5.3.0" >> ~/versions.txt
del $zip

View File

@@ -0,0 +1,46 @@
#############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see http://www.qt.io/terms-conditions. For further
## information use the contact form at http://www.qt.io/contact-us.
##
## GNU Lesser General Public License Usage
## Alternatively, this file may be used under the terms of the GNU Lesser
## General Public License version 2.1 or version 3 as published by the Free
## Software Foundation and appearing in the file LICENSE.LGPLv21 and
## LICENSE.LGPLv3 included in the packaging of this file. Please review the
## following information to ensure the GNU Lesser General Public License
## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## As a special exception, The Qt Company gives you certain additional
## rights. These rights are described in The Qt Company LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## $QT_END_LICENSE$
##
#############################################################################
. "$PSScriptRoot\..\common\helpers.ps1"
# This script installs QNX SDP 7.0
$zip = "c:\users\qt\downloads\qnx700.7z"
Invoke-WebRequest -UseBasicParsing http://ci-files01-hki.ci.local/input/qnx/qnx700.7z -OutFile $zip
Verify-Checksum $zip "2eab8bcf993056f79c9e2585c9c05e05658ba8bb"
Extract-7Zip $zip C:\
[Environment]::SetEnvironmentVariable("QNX_700", "C:\QNX700", "Machine")
echo "QNX SDP = 7.0.0" >> ~/versions.txt
del $zip

View File

@@ -0,0 +1 @@
. "$PSScriptRoot\..\common\3dstudio_3rdparty.ps1"

View File

@@ -469,7 +469,7 @@ sub git_stat_one_submodule
my $orig_cwd = getcwd();
chdir($submodule) or confess "chdir $submodule: $OS_ERROR";
my @sts = qx(git status --porcelain --untracked=no);
my @sts = qx(git status --porcelain --untracked=no --ignore-submodules=all);
# After a git clone --no-checkout, git status reports all files as
# staged for deletion, but we still want to update the submodule.